%global _empty_manifest_terminate_build 0
Name:		python-click-didyoumean
Version:	0.3.1
Release:	1
Summary:	Enables git-like *did-you-mean* feature in click
License:	MIT
URL:		https://github.com/click-contrib/click-didyoumean
Source0:	https://files.pythonhosted.org/packages/30/ce/217289b77c590ea1e7c24242d9ddd6e249e52c795ff10fac2c50062c48cb/click_didyoumean-0.3.1.tar.gz
BuildArch:	noarch

%description
Enables git-like *did-you-mean* feature in click

%package -n python3-click-didyoumean
Summary:	Enables git-like *did-you-mean* feature in click
Provides:	python-click-didyoumean
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-click-didyoumean
Enables git-like *did-you-mean* feature in click

%package help
Summary:	Enables git-like *did-you-mean* feature in click
Provides:	python3-click-didyoumean-doc
%description help
Enables git-like *did-you-mean* feature in click

%prep
%autosetup -n click_didyoumean-0.3.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-click-didyoumean -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 4 2024 lilu <lilu@kylinos.cn> - 0.3.1-1
- Update package to version 0.3.1
- Update pyproject.toml, remove upper bound from Python version specifier and so on

* Fri Sep 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.3.0-1
- Package initial
